Subject: Re: bug#8795: 24.0.50; `completion-try-completion' addition of METADATA arg

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Oct 2011 22:21:41 -0400

> And it is clearly not internal.

It is.  "Internal" reflects the intention behind this function.  As the
author of the code, I know better than you do whether it's internal or not.

> If it were internal then you would not have needed to change METADATA
> to `&optional'.  And I was not the only one to point out that its not
> being optional broke backward compatibility.

Oh, so because I was nice enough to go through the trouble to preserve
backward compatibility, I am now bound to additionally document
the obvious because you don't find it obvious enough?

        Stefan